﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Yokogawa DL17x0 (1 yr) Trig Lev Acc IEEE /5800
INSTRUMENT:            Sub Yokogawa DL17x0 (1 yr) Trig Sens IEEE /5800
DATE:                  2017-04-13 13:48:08
AUTHOR:                Fluke
REVISION:              $Revision: 19267 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       6
NUMBER OF LINES:       169
CONFIGURATION:         Fluke 5800A
=============================================================================
#
#  Procedure Author:  VY, DAC
#
#  Model(s) Covered:  DL1720(701705), DL1740(701710)
#
#  Compatibility:     MET/CAL 7.11 or later
#
#  Subprocedures:     Sub Yokogawa DL17x0 Cal Init IEEE
#
#  Required Files:    None
#
#  Additional Equipment Required:
#                     None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  CALL         Sub Yokogawa DL17x0 Cal Init IEEE

  1.002  JMPL         TRIGGER_SENS                 PSUBI("Trig Sens")
  1.003  JMPL         TRIGGER_LEVEL_ACC            PSUBI("Trig Lev Acc")
  1.004  DISP         Subprocedure not found!
  1.005  END

  1.006  EVAL   Increment step number

# ========== Sub Yokogawa DL17x0 (1 yr) Trig Level Acc IEEE /5800 ==========

  2.001  LABEL        TRIGGER_LEVEL_ACC

# Only write test name into the result file when the channel 1 is tested
  2.002  IF           M[1] == 1
  2.003  RSLT         =
  2.004  RSLT         =TRIGGER LEVEL ACCURACY TEST
  2.005  ENDIF

  2.006  RSLT         =
  2.007  RSLT         =CHANNEL [M1]
  2.008  RSLT         =
  2.009  RSLT         = Trigger Level: 600 mV, Offset: 600 mV
  2.010  HEAD         TRIGGER LEVEL ACC: CH [M1], Trig Level & Offset 600 mV
  2.011  TARGET       -p
  2.012  IEEE2        CHAN[M1]:COUP DC50;PROB 1;BWID 20;VDIV 0.2V
  2.013  IEEE2        TIM:TDIV 5us
  2.014  IEEE2        TRIG:TYPE OR;:TRIG:OR:WIND ON
  2.015  IEEE2        DISP:FORM SING
  2.016  IEEE2        CURS:TY:TYPE MARK;MARK:M[M1]:TRAC [M1];POS 0.0
# Set trig level and offset voltage to the channel under test.
  2.017  IEEE2        CHAN[M1]:OFFS 600mV
  2.018  IEEE2        TRIG:SOUR:CHAN[M1]:LEV 600mV;WIDTH 1.2V
  2.019  5800         400mVpp                      50kH           LS S6 S  L
  2.020  WAIT         -t 3 System settling...
  2.021  TARGET       -m
# Read the the value of cursor when the polarity is in.
  2.022  IEEE2        TRIG:OR:CHAN[M1] IN;[D1000]:CURS:TY:MARKER:Y[M1]?[I]
  2.023  MATH         L[1] = MEM
# Read the the value of cursor when the polarity is out.
  2.024  IEEE2        TRIG:OR:CHAN[M1] OUT;[D1000]:CURS:TY:MARKER:Y[M1]?[I]
  2.025  MATH         L[2] = MEM
# Evaluate the value of trig level is within the specification
  2.026  MATH         MEM = (L[1] + L[2]) / 2 / 1E-3
  2.027  MATH         MEM2 = FMT(MEM, "%.3f") & " mV"
  2.028  MEM2         = Limit: +/-260.000 mV, Result: [MEM2]
  2.029  EVAL   -e (MEM >= -260) && (MEM <= 260) : [MEM2]

  3.001  RSLT         =
  3.002  RSLT         = Trigger Level: -600 mV, Offset: -600 mV
  3.003  HEAD         TRIGGER LEVEL ACC: CH [M1], Trig Level & Offset -600 mV
  3.004  TARGET       -p
  3.005  IEEE2        CHAN[M1]:OFFS -600mV
  3.006  IEEE2        TRIG:SOUR:CHAN[M1]:LEV -600mV;WIDTH 1.2V
  3.007  5800         400mVpp                      50kH           LS S6 S  L
  3.008  WAIT         -t 3 System settling...
  3.009  TARGET       -m
  3.010  IEEE2        TRIG:OR:CHAN[M1] IN;[D1000]:CURS:TY:MARKER:Y[M1]?[I]
  3.011  MATH         L[1] = MEM
  3.012  IEEE2        TRIG:OR:CHAN[M1] OUT;[D1000]:CURS:TY:MARKER:Y[M1]?[I]
  3.013  MATH         L[2] = MEM
  3.014  MATH         MEM = (L[1] + L[2]) / 2 / 1E-3
  3.015  MATH         MEM2 = FMT(MEM, "%.3f") & " mV"
  3.016  MEM2         = Limit: +/-260.000 mV, Result: [MEM2]
  3.017  EVAL   -e (MEM >= -260) && (MEM <= 260) : [MEM2]

  4.001  5800         *                                                 S
  4.002  END

  4.003  EVAL   Increment step number

# ========= Sub Yokogawa DL17x0 (1 yr) Trig Sens IEEE /5800 ================

  5.001  LABEL        TRIGGER_SENS

# Only write test name into the result file when the channel 1 is tested
  5.002  IF           M[1] == 1
  5.003  RSLT         =
  5.004  RSLT         =TRIGGER SENSITIVITY TEST
  5.005  ENDIF

  5.006  RSLT         =
  5.007  RSLT         =CHANNEL [M1]
  5.008  HEAD         TRIGGER SENSITIVITY TEST (CH [M1])
  5.009  TARGET       -p
  5.010  IEEE2        CHAN[M1]:COUP DC50;PROB 1;VDIV 0.5V
  5.011  IEEE2        TIM:TDIV 1ns
  5.012  IEEE2        DISP:FORM SING
  5.013  IEEE2        TRIG:MODE NORM;TYPE PATT
  5.014  IEEE2        TRIG:PATT:COND TRUE
  5.014  IEEE2        TRIG:PATT:CLOC:SOUR [M1];SLOPE RISE
  5.015  IEEE2        TRIG:SOUR:CHAN[M1]:COUP DC;LEV 0mV
  5.016  IEEE2        STOP;:ACQ:MODE AVER;COUN INF;RLEN 1000;AVER:EWE 4;:STAR
# Set the bit 2 (filter 3) waiting for trigger of transition filter to 1 in
# order to check the trigger status.
  5.017  IEEE2        STAT:FILT1 NEV;FILT2 NEV;FILT3 RISE;FILT4 NEV
  5.018  IEEE2        STAT:FILT5 NEV;FILT6 NEV;FILT7 NEV;FILT8 NEV
  5.018  IEEE2        STAT:FILT9 NEV;FILT10 NEV;FILT11 NEV;FILT12 NEV
  5.018  IEEE2        STAT:FILT13 NEV;FILT14 NEV;FILT15 NEV;FILT16 NEV
  5.019  5800         500mVpp                      500MH          LS S6 S  L
# Read expanded event status register to distinguish whether the waveform is
# triggered. If waveform is triggered then MEM is 0, otherwise is 4.
  5.020  IEEE         [D1000]STATUS:EESR?[I]
# If waveform is not triggered, adjust the trig level from 0 mV to +/- 250 mV
# by 50 mV step. L[1] will be saved trig level value, L[2] will be a counter.
  5.021  MATH         L[1] = 0; L[2] = 1

  5.022  WHILE        (MEM == 4) && (L[1] >= -250) && (L[1] <= 250)

  5.023  IF           L[2]
# make the trig level from negative to positive, then add 50 mV step.
  5.024  MATH         L[1] = -1 * L[1] + 50
  5.025  MATH         L[2] = L[2] - 1
  5.026  ELSE
# make the trig level from positive to negative.
  5.027  MATH         L[1] = -1 * L[1]
  5.028  MATH         L[2] = L[2] + 1
  5.029  ENDIF

# Set new trig level to the channel under test, then read the response.
  5.030  IEEE2        TRIG:SOUR:CHAN[M1]:LEV [L1]mV
  5.031  IEEE         [D1000]STATUS:EESR?[I]
  5.032  ENDW

  5.033  EVAL   -e MEM == 0 :  1 div (on the display screen) at 500 MHz

  6.001  5800         *                                                 S
  6.002  END
